Whamcloud - gitweb
Files needed by OS X package
[fs/lustre-release.git] / build / osxpack / unload_lustre
diff --git a/build/osxpack/unload_lustre b/build/osxpack/unload_lustre
new file mode 100755 (executable)
index 0000000..54404c1
--- /dev/null
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+mount | grep lustre > /dev/null
+if [ $? -eq 0 ]; then
+       echo "Please unmount lustre before unload modules."
+       exit 1
+fi
+kextunload /System/Library/Extensions/llite.kext
+kextunload /System/Library/Extensions/mdc.kext
+kextunload /System/Library/Extensions/lov.kext
+kextunload /System/Library/Extensions/osc.kext
+kextunload /System/Library/Extensions/ptlrpc.kext
+kextunload /System/Library/Extensions/ptlrpcs.kext
+kextunload /System/Library/Extensions/obdclass.kext
+kextunload /System/Library/Extensions/lvfs.kext
+kextunload /System/Library/Extensions/ksocknal.kext
+kextunload /System/Library/Extensions/portals.kext
+kextunload /System/Library/Extensions/libcfs.kext